## Apache Zeta Components Manual :: Docs For Class ezcCacheStorageFileApcArrayOptions

### Cache::ezcCacheStorageFileApcArrayOptions

### Class ezcCacheStorageFileApcArrayOptions

Option class for APC array storage.

Source for this file: /Cache/src/options/storage_apc_array.php

    ezcBaseOptions
       |
       --ezcCacheStorageApcOptions
          |
          --ezcCacheStorageFileApcArrayOptions

Version: | //autogentag//

### Properties

int | read/write | `$permissions` File access permissions specified as an octal integer, default 0644.

### Inherited Member Variables

From ezcCacheStorageApcOptions
protected | `ezcCacheStorageApcOptions::$storageOptions`
From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcCacheStorageFileApcArrayOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcCacheStorageApcOptions
public ezcCacheStorageApcOptions | `ezcCacheStorageApcOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcCacheStorageFileApcArrayOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If $options contains a property with a value not allowed.
`ezcBasePropertyNotFoundException` | If $options contains a property not defined.

##### Redefinition of:

Method | Description
--- | ---
`ezcCacheStorageApcOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3